

/*------------------------ header ------------------------*/

/*-- h_top --*/
.h_top {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;
}
.h_inner {
    width: 100%;
    border-radius: 35px;
    padding: 10px 10px 10px 40px;
    background-color: rgba(255, 255, 255, 0);
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background .4s ease;
}

.h_l {
    display: flex;
    align-items: center;
    gap: 60px;
}
.h_logo {
    width: 190px;
}
.h_nav ul {
    display: flex;
    gap: 18px;
}
.h_nav li {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--white);
    border-radius: 30px;
    transition: background .4s ease;
}
.h_nav a {
    padding: 6px 16px;
}
.h_nav li.active {
    background-color: rgba(255, 255, 255, .2);
}

.h_r {
    display: flex;
    align-items: center;
    gap: 50px;
}
.language {
    display: flex;
    align-items: center;
    gap: 30px;
}
.language li {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--white);
    opacity: .6;
}
.language li.on {
    opacity: 1;
    pointer-events: none;
}
.h_contact {
    background-color: rgba(255, 255, 255, .2);
    border-radius: 30px;
}
.h_contact a {
    padding: 10px 24px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.h_contact img {
    width: 18px;
    height: 18px;
}
.h_contact p {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--white);
}


.h_top.h_scroll .h_inner,
.h_top.h_fix .h_inner {
    background-color: rgba(0, 0, 0, .6);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}



/*-- quick --*/
.quick {
    display: flex;
    flex-direction: column;   
    gap: 14px;
    position: fixed;
    bottom: 60px;
    right: 50px;
    z-index: 5;
}
.quick_menu {
    display: flex;
    flex-direction: column;
    gap: 14px;
    transition: opacity .4s ease;
}
.quick_menu .news_quick {
    display: none;
}
.quick_menu li,
.top_btn {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--gray-600);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.quick_menu a {
    display: flex;
    justify-content: center;
    align-items: center;
}
.quick_menu figure {
    width: 28px;
    height: 28px;
}
.top_btn {
    background-color: var(--white);
    border: 1px solid var(--dark-line);
}

.quick_menu.hide {
    opacity: 0;
    pointer-events: none;
}

/*------------------------ footer ------------------------*/
.footer {
    margin-top: 160px;
    background-color: var(--gray-700);
    padding: 100px 0;
}

/*-- f_top --*/
.f_top {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: start;
}
.f_logo {
    width: 190px;
}
.family_site {
    position: relative;
}
.site_main {
    width: 200px;
    height: 46px;
    border-radius: 30px;
    background-color: var(--gray-600);
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.site_main p {
    color: var(--white);
}
.site_main img {
    width: 18px;
    height: 18px;
    transition: transform .4s ease;
}
.site_sub {
    width: 100%;
    padding: 10px;
    border-radius: 16px;
    background-color: var(--gray-600);
    position: absolute;
    margin-top: 10px;
    display: none;
}
.site_sub li {
    padding: 10px;
    font-size: var(--ft14);
    color: var(--white);
    text-align: center;
    border-radius: 12px;
    transition: background .4s ease;
}
.site_sub li:hover {
    background-color: var(--gray-500);
}

.family_site.open img {
    transform: rotate(180deg);
}

/*-- f_mid --*/
.f_mid {
    width: 100%;
    margin-top: 80px;
    display: flex;
    justify-content: space-between;
    align-items: start;
}
.f_address {
    display: flex;
    gap: 80px;
}
.f_info {
    max-width: 260px;
}
.f_info li {
    font-size: var(--ft14);
    color: var(--gray-400);
    margin-bottom: 6px;
}
.f_info li:last-child {
    margin-bottom: 0;
}
.f_info li.f_info_name {
    font-size: var(--ft16);
    color: var(--white);
    margin-bottom: 10px;
}

.f_r {
    display: flex;
    flex-direction: column;
    align-items: end;
}
.f_nav {
    display: flex;
    align-items: center;
    gap: 20px;
}
.f_nav li {
    font-weight: var(--medium);
    color: var(--white);
    cursor: pointer;
}
.f_nav li:hover {
    text-decoration: underline;
}
.f_r p {
    font-size: var(--ft14);
    color: var(--gray-400);
    margin-top: 16px;
}


/*-- f_btm --*/
.f_btm {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 30px;
}
.f_sns {
    display: flex;
    align-items: center;
    gap: 10px;
}
.f_sns li {
    width: 50px;
    height: 50px;
    background-color: var(--gray-600);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background .4s ease;
}
.f_sns a {
    display: flex;
    justify-content: center;
    align-items: center;
}
.f_sns figure {
    width: 28px;
    height: 28px;
}
.f_sns li:hover {
    background-color: var(--gray-500);
}
.copyright {
    display: flex;
    align-items: end;
    flex-direction: column;
    gap: 4px 16px;
}
.copyright * {
    width: fit-content;
    font-size: var(--ft14);
    color: rgba(255, 255, 255, .8);
}
.copyright a:hover {
    text-decoration: underline;
}


/*------------------------ popup ------------------------*/

.popup {
    width: 100%;
    height: 100dvh;
    padding: 0 20px; 
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    opacity: 0;
    pointer-events: none;
}
.popup.on {
    opacity: 1;
    pointer-events: all;
}
body:has(.popup.on) {
    overflow: hidden;
    height: 100%;
    min-height: 100%;
    touch-action: none;
}
.popup_bg {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    position: absolute;
    top: 0;
    left: 0;
}
.popup_box {
    background-color: var(--white);
    border-radius: 0 20px 0 20px;
    overflow: hidden;
    /* display: flex; */
    position: relative;
    z-index: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity .6s ease, transform .6s ease;
}
.popup_box_inner {
    width: 100%;
    height: 100%;
    display: none;
}
.popup_box_inner.show {
    display: flex;
}
.popup.on .popup_box {
    opacity: 1;
    transform: translateY(0);
}

.popup_btn_wrap {
    width: 100%;
    height: 50px;
    background-color: var(--primary);
    display: flex;
    align-items: center;
    flex-shrink: 0;
}
.popup_btn_wrap div {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    position: relative;
    cursor: pointer;
}
.popup_btn_wrap img {
    width: 20px;
    height: 20px;
}
.popup_btn_wrap p {
    font-weight: var(--medium);
    color: var(--white);
}
.popup_btn_wrap .p_btn_prev img {
    transform: rotate(180deg);
}
.popup_btn_wrap .p_btn_prev::after {
    content: '';
    display: block;
    width: 1px;
    height: 20px;
    background-color: rgba(255, 255, 255, .3);
    position: absolute;
    right: 0;
}


.f_popup {
    width: 100%;
    max-width: 500px;
    padding: 40px;
    background-color: var(--white);
    border-radius: 0 20px 0 20px;
    overflow: hidden;
    position: relative;
    z-index: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: all .6s ease;
}
.popup.on .f_popup {
    opacity: 1;
    transform: translateY(0);
}
.popup_title {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
    margin-bottom: 20px;
}
.popup_text_scroll {
    max-height: 300px;
    overflow-y: scroll;
}
.popup_text {
    font-size: var(--ft16);
    color: var(--gray-600);
}
.popup_close {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: var(--gray-100);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 16px;
    right: 16px;
    cursor: pointer;
    transition: transform .4s ease;
    z-index: 2;
}
.popup_close img {
    width: 28px;
    height: 28px;
}
.popup_close:hover {
    transform: rotate(180deg);
}


/*-- qr_popup --*/
.qr_popup .popup_box {
    padding-top: 50px;
}
.qr_title {
    font-size: var(--ft28);
    font-weight: var(--semi-bold);
    text-align: center;
    margin: 0 50px 16px;
}
.qr_img {
    width: calc(100% - 100px);
    max-width: 300px;
    margin: 0 50px 30px;
}
.qr_logo_box {
    width: 100%;
    height: 60px;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
}
.qr_logo_box .qr_logo {
    width: 160px;
}

@media all and (max-width: 1800px) {
    .h_nav li {
        display: none;
    }
    .h_nav li.news_menu {
        display: block;
    }
}

@media all and (max-width: 1600px) {
    /*-- header --*/
    .h_l,
    .h_r {
        gap: 40px;
    }
    .h_logo {
        width: 170px;
    }

    /*-- footer --*/
    .f_address {
        gap: 30px;
    }
}

@media all and (max-width: 1200px) {
    /*-- header --*/
    .h_inner {
        padding: 10px 10px 10px 30px;
    }
    .h_logo {
        width: 140px;
    }
    .h_nav ul {
        gap: 6px;
    }
    .h_l,
    .h_r {
        gap: 24px;
    }
    .h_contact a {
        padding: 6px 18px;
    }

    .quick {
        bottom: 30px;
        right: 30px;
    }


    /*-- footer --*/
    .f_mid {
        flex-direction: column;
        gap: 40px;
    }
    .f_r {
        align-items: start;
    }
}

@media all and (max-width: 1024px) {
    /*-- header --*/
    .h_top {
        height: 80px;
    }
    .h_nav {
        display: none;
    }

    .quick {
        width: 100%;
        bottom: 0;
        right: 0;
    }
    .quick_menu {
        width: 100%;
        height: 50px; 
        flex-direction: row;
        gap: 0;
        position: absolute;
        bottom: 0;
        left: 0;
    }
    .quick_menu.hide {
        opacity: 1;
        pointer-events: all;
    }
    .quick_menu li {
        width: 100%;
        height: 100%;
        border-radius: 0;
        background-color: var(--gray-700);
        position: relative;
    }
    .quick_menu li::after {
        content: '';
        display: block;
        width: 1px;
        height: 24px;
        background-color: var(--gray-600);
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .quick_menu li:last-child:after {
        display: none;
    }
    .top_btn {
        width: 40px;
        height: 40px;
        position: absolute;
        right: 20px;
        bottom: 70px;
    }
    .top_btn figure {
        width: 20px;
        height: 20px;
    }

    .quick_menu .news_quick {
        display: flex;
    }
    .quick_menu .news_quick a {
        padding: 0 20px;
    }
    .quick_menu .news_quick p {
        font-size: var(--ft14);
        font-weight: var(--semi-bold);
        color: var(--white);
        padding: 4px 12px;
        border-radius: 30px;
        background-color: rgba(255, 255, 255, .1);
        text-wrap: nowrap;
    }


    /*-- footer --*/
    .footer {
        padding: 60px 0 100px;
    }
    .f_logo {
        width: 160px;
    }
    .site_main {
        width: 170px;
        height: 38px;
    }
    .site_main p {
        font-size: var(--ft14);
    }
    .site_sub li {
        padding: 4px;
    }
    .f_mid {
        margin-top: 40px;
    }
    .f_address {
        flex-direction: column;
        gap: 20px;
    }
    .f_info {
        max-width: 100%;
    }
    .f_btm {
        align-items: start;
        margin-top: 40px;
    }
    .f_sns {
        display: none;
    }
    .copyright {
        flex-direction: column;
        align-items: start;
    }
}

@media all and (max-width: 768px) {
    /*-- header --*/
    .h_top {
        padding: 0 10px;
    }
    .h_inner {
        padding: 8px 8px 8px 20px;
    }
    .h_logo {
        width: 110px;
    }
    .h_r {
        gap: 14px;
    }
    .language {
        gap: 16px;
    }
    .language li {
        font-size: var(--ft14);
    }
    .h_contact a {
        padding: 6px 12px;
    }
    .h_contact p {
        font-size: var(--ft14);
    }
    .h_contact p:last-child {
        display: none;
    }
    .h_contact img {
        width: 14px;
        height: 14px;
    }


    /*-- footer --*/
    .footer {
        margin-top: 100px;
    }
    .f_top {
        flex-direction: column;
        gap: 30px;
    }
    .f_popup {
        padding: 30px;
    }
    .popup_text_scroll {
        max-height: 240px;
    }

    /*-- popup --*/
    .popup_close {
        width: 40px;
        height: 40px;
    }
    .popup_close img {
        width: 24px;
        height: 24px;
    }
    
    .qr_popup .popup_box {
        padding-top: 24px;
    }
    .qr_title {
        font-size: var(--ft20);
        margin: 0 24px 10px;
    }
    .qr_img {
        width: calc(100% - 48px);
        margin: 0 24px 20px;
    }
    .qr_logo_box {
        height: 50px;
    }
    .qr_logo_box .qr_logo {
        width: 120px;
    }
}